﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WNG_DragAndDropRowIndicator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = TestData(30);
            ultraGrid1.DisplayLayout.Override.SelectTypeRow = SelectType.Single;
            ultraGrid1.DisplayLayout.Override.RowSelectors = DefaultableBoolean.True;
        }

        private DataTable TestData(int rows)
        {
            DataTable dtData = new DataTable("TestData");

            dtData.Columns.Add("Col_1", typeof(string));
            dtData.Columns.Add("Col_2", typeof(string));
            dtData.Columns.Add("Col_3", typeof(int));

            for (int i = 1; i <= rows; i++)
            {
                DataRow dr = dtData.NewRow();

                dr["Col_1"] = "Col 1 Row " + i.ToString();
                dr["Col_2"] = "Some Extra Text";
                dr["Col_3"] = i;

                dtData.Rows.Add(dr);
            }

            dtData.AcceptChanges();
            return dtData;
        }

    }
}
